changing the python default from 2.6 to 2.7

Matthias Klose doko at
Wed Dec 8 00:05:03 GMT 2010

Tomorrow, Wednesday December 8, we'll change the default Python version in
Natty from 2.6 to 2.7.

This will be followed by a series of no-change uploads to rebuild packages
with Python 2.7.  Some parts of the archive will be uninstallable or not
upgradeable for a few days; please wait with upgrades until the rebuilds are
done, and for the next two days, also avoid bug reports about upgrade

If you find issues which are not temporary while the rebuilds are ongoing,
please report these in Launchpad, and tag them with `python27`.  We expect to
resolve the majority of such issues this year, with the remaining issues
addressed by the end of January.

If you want to help fix problems related to the Python 2.7 switch, please
submit merge proposals and requests by tagging issues with `python27'.
A ping to barry and doko on #ubuntu-devel is welcome.

Another goal for the natty release is to make the installation and removal of
python packages more robust.  This will result in some packaging changes.
Unless these changes are already made in Debian or coordinated with Debian,
please don't change the packaging.  We'll followup later how we will address
these issues.

   Barry Warsaw
   Matthias Klose

More information about the ubuntu-devel-announce mailing list